libzypp: zyppng::KeyRingReportHelper Class Reference

libzypp 17.38.14

zyppng::KeyRingReportHelper Class Reference

`#include <zypp/ng/reporthelper.h>`

Inheritance diagram for zyppng::KeyRingReportHelper:

## Public Member Functions
| KeyRingReportHelper (ContextRef r)
| KeyRingReportHelper (const KeyRingReportHelper &)=default
| KeyRingReportHelper (KeyRingReportHelper &&)=default
KeyRingReportHelper & | operator= (const KeyRingReportHelper &)=default
KeyRingReportHelper & | operator= (KeyRingReportHelper &&)=default
bool | askUserToAcceptUnsignedFile (const std::string &file, const zypp::KeyContext &keycontext={})
zypp::KeyRingReport::KeyTrust | askUserToAcceptKey (const zypp::PublicKey &key, const zypp::KeyContext &keycontext={})
bool | askUserToAcceptPackageKey (const zypp::PublicKey &key_r, const zypp::KeyContext &keycontext_r={})
void | infoVerify (const std::string &file_r, const zypp::PublicKeyData &keyData_r, const zypp::KeyContext &keycontext={})
void | reportAutoImportKey (const std::list< zypp::PublicKeyData > &keyDataList_r, const zypp::PublicKeyData &keySigning_r, const zypp::KeyContext &keyContext_r)
bool | askUserToAcceptVerificationFailed (const std::string &file, const zypp::PublicKey &key, const zypp::KeyContext &keycontext={})
bool | askUserToAcceptUnknownKey (const std::string &file, const std::string &id, const zypp::KeyContext &keycontext={})
Public Member Functions inherited from zyppng::BasicReportHelper
| BasicReportHelper (const BasicReportHelper &)=default
| BasicReportHelper (BasicReportHelper &&)=default
BasicReportHelper & | operator= (const BasicReportHelper &)=default
BasicReportHelper & | operator= (BasicReportHelper &&)=default
const ContextRef & | zyppContext ()

## Static Public Member Functions
static constexpr bool | async ()
Static Public Member Functions inherited from zyppng::BasicReportHelper
static constexpr bool | async ()

## Private Attributes
detail::ReportHolder< zypp::KeyRingReport, Context::isAsync > | _report

## Additional Inherited Members
Protected Member Functions inherited from zyppng::BasicReportHelper
| BasicReportHelper (ContextRef &&ctx)
Protected Attributes inherited from zyppng::BasicReportHelper
ContextRef | _ctx

## Detailed Description

Definition at line 98 of file reporthelper.h.

## Constructor & Destructor Documentation

## ◆ KeyRingReportHelper() [1/3]

zyppng::KeyRingReportHelper::KeyRingReportHelper | ( | ContextRef | r | ) |
| inline

Definition at line 102 of file reporthelper.h.

## ◆ KeyRingReportHelper() [2/3]

zyppng::KeyRingReportHelper::KeyRingReportHelper | ( | const KeyRingReportHelper & |  | ) |
| default

## ◆ KeyRingReportHelper() [3/3]

zyppng::KeyRingReportHelper::KeyRingReportHelper | ( | KeyRingReportHelper && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

KeyRingReportHelper & zyppng::KeyRingReportHelper::operator= | ( | const KeyRingReportHelper & |  | ) |
| default

## ◆ operator=() [2/2]

KeyRingReportHelper & zyppng::KeyRingReportHelper::operator= | ( | KeyRingReportHelper && |  | ) |
| default

## ◆ askUserToAcceptUnsignedFile()

bool zyppng::KeyRingReportHelper::askUserToAcceptUnsignedFile | ( | const std::string & | file,
|  | const zypp::KeyContext & | keycontext = {} )

Definition at line 61 of file reporthelper.cc.

## ◆ askUserToAcceptKey()

zypp::KeyRingReport::KeyTrust zyppng::KeyRingReportHelper::askUserToAcceptKey | ( | const zypp::PublicKey & | key,
|  | const zypp::KeyContext & | keycontext = {} )

Definition at line 85 of file reporthelper.cc.

## ◆ askUserToAcceptPackageKey()

bool zyppng::KeyRingReportHelper::askUserToAcceptPackageKey | ( | const zypp::PublicKey & | key_r,
|  | const zypp::KeyContext & | keycontext_r = {} )

Definition at line 101 of file reporthelper.cc.

## ◆ infoVerify()

void zyppng::KeyRingReportHelper::infoVerify | ( | const std::string & | file_r,
|  | const zypp::PublicKeyData & | keyData_r,
|  | const zypp::KeyContext & | keycontext = {} )

Definition at line 112 of file reporthelper.cc.

## ◆ reportAutoImportKey()

void zyppng::KeyRingReportHelper::reportAutoImportKey | ( | const std::list< zypp::PublicKeyData > & | keyDataList_r,
|  | const zypp::PublicKeyData & | keySigning_r,
|  | const zypp::KeyContext & | keyContext_r )

Definition at line 124 of file reporthelper.cc.

## ◆ askUserToAcceptVerificationFailed()

bool zyppng::KeyRingReportHelper::askUserToAcceptVerificationFailed | ( | const std::string & | file,
|  | const zypp::PublicKey & | key,
|  | const zypp::KeyContext & | keycontext = {} )

Definition at line 137 of file reporthelper.cc.

## ◆ askUserToAcceptUnknownKey()

bool zyppng::KeyRingReportHelper::askUserToAcceptUnknownKey | ( | const std::string & | file,
|  | const std::string & | id,
|  | const zypp::KeyContext & | keycontext = {} )

Definition at line 159 of file reporthelper.cc.

## ◆ async()

constexpr bool zyppng::BasicReportHelper::async | ( |  | ) |
| inlinestaticconstexpr

Definition at line 69 of file reporthelper.h.

## Member Data Documentation

## ◆ _report

detail::ReportHolder<zypp::KeyRingReport, Context::isAsync> zyppng::KeyRingReportHelper::_report
| private

Definition at line 127 of file reporthelper.h.

The documentation for this class was generated from the following files:

- zypp/ng/reporthelper.h
- zypp/ng/reporthelper.cc